// Project Lab - NHTV Igad

#include "UnrealProject.h"
#include "SizeBorder.h"
#include "SlateBlueprintLibrary.h"

void USizeBorder::NativeTick(const FGeometry& MyGeometry, float DeltaTime)
{
	USlateBlueprintLibrary::LocalToViewport(this, MyGeometry, MyGeometry.GetLocalSize(),
		pixelSize, viewportSize);
	USlateBlueprintLibrary::LocalToViewport(this, MyGeometry, FVector2D(0.0f, 0.0f),
		pixelPosition, viewportPosition);
	pixelSize -= pixelPosition;
	viewportSize -= viewportPosition;
	Super::NativeTick(MyGeometry, DeltaTime);
}
